# Ctdo Homepage

## Eine Seite bearbeiten

Klicke bei der Seite, die du bearbeiten möchtest unten im Footer auf "Seite bearbeiten".
Nimm im Editor der sich öffnet die gewünschten Änderungen vor.
Wie die Seiten aufgebaut sind steht unten in der Sektion Seitenlayout.
Wie du deine Änderung veröffentlichst steht in der Sektion Deploy.

## Eine neue Seite erstellen

Um eine neue Seite zu erstellen lege eine neue Datei im `markdown-pages` Ordner
[hier](https://repos.ctdo.de/-/ide/project/neri/ctdo-hompage/tree/master/-/src/markdown-pages/) an.
Wie die Seite aufgebaut sein muss steht unten in der Sektion Seitenlayout.
Wie du deine Änderung veröffentlichst steht in der Sektion Deploy.

Um die neue Seite in die Navigation einzubinden füge ein neues Element in das Array `pages` in
[diese Datei](https://repos.ctdo.de/-/ide/project/neri/ctdo-hompage/blob/master/-/src/components/nav.js)
ein.

## Seitenlayout

Eine Seite muss mit folgendem Header beginnen:
```
---
path: ""
title: ""
edit: ""
---
```
In `path` muss stehen, unter welchem Pfad die Seite auf der Webseite erscheint.
Für die Home-Seite ist dies beispielsweise "/", für die "Zeiten & Location"-Seite "/treff".  
In `title` steht der Text der im Browsertab angezeigt werden soll wenn die Seite offen ist.  
In `edit` muss der Name der angelegten Datei stehen, dieser wird verwendet,
damit der "Seite bearbeiten"-Link richtig funktioniert.

Darunter wird die Seite in [Markdown](https://www.markdownguide.org/cheat-sheet/) definiert.
Als Konvention werden auf der Seite keine `H1`, sondern erst `H2`-Überschriften verwendet.

## Deploy

Wenn du mit deinen Änderungen fertig bist,
klicke auf Commit und gib eine Beschreibung deiner Änderungen ein.
Ungefähr 30 Sekunden später sollten deine Änderungen auf der Website sichtbar sein.
Möglicherweise musst du einmal mit Shift+F5 deinen Browsercache ignorieren.

