import React from "react"
import Nav from "../components/nav"
import Footer from "../components/footer"
import layoutStyles from "./layout.module.css"

export default ({ editLink, children }) => (
  <>
    <Nav />
    <div className={layoutStyles.layout}>{children}</div>
    <Footer editLink={editLink} />
  </>
)
